Parameters
Responses
{
"type": "fsb:static:apiv2:schema_list",
"list": [
{
"name": "Product",
"urn": "fsb:schema:apiv2:product",
"active": true,
"latestVersion": "9999-99-99"
}
]
}Headers(none)You should already have an API key. If not please check out the Getting Started page.
Your API key should be present in the Authorization header on every request to the API.
Prefix your API key with the word Bearer.
Assuming your API key is "ABCDEFGHIJKLMNOPQRSTUVWXYZ", this is how your header should look like:
Authorization: Bearer ABCDEFGHIJKLMNOPQRSTUVWXYZ
Please read up on Compatibility Dates first.
The REST API lets you set the compatibility date on every request. You can provide it in one of two ways:
compatibility_date query parameter, e.g. ?compatibility_date=2026-11-15X-Compatibility-Date header, e.g. X-Compatibility-Date: 2026-11-15If both are present, the query parameter is used.
If you provide neither, the latest version is used. This means the data format can change at any moment without notice, so you should always set a compatibility date.
Every response includes an X-Compatibility-Date header containing the compatibility date the data was delivered in.
A compatibility date in an invalid format will return a 400 with a fsb:problem:api:invalid_compatibility_date problem.
Endpoints are grouped into "Static" and "Content". If you are on the free tier you only have access to endpoints in the "static" group. Upgrade to get access to content endpoints.
{
"type": "fsb:static:apiv2:schema_list",
"list": [
{
"name": "Product",
"urn": "fsb:schema:apiv2:product",
"active": true,
"latestVersion": "9999-99-99"
}
]
}Headers(none){
"type": "fsb:static:apiv2:schema",
"schema": {
"type": "object",
"properties": {}
}
}Headers(none){
"type": "fsb:problem:name-here",
"title": "error name",
"detail": "error message"
}Headers(none){
"type": "fsb:static:apiv2:problem_list",
"list": [
{
"urn": "fsb:problem:example",
"status": 400,
"title": "Example error"
}
]
}Headers(none){
"type": "fsb:static:apiv2:event_list",
"list": [
{
"urn": "fsb:event:example",
"description": "Human readable description of the event",
"payloadDescription": "Human readable description of the event payload",
"payloadSchema": {
"type": "object",
"properties": {}
}
}
]
}Headers(none){
"products": [
{
"id": 123456,
"kind": "game",
"until": 0,
"type": "keep",
"flags": 0,
"store": "steam"
}
],
"count": 1
}HeadersETag=<hash:string>— see developer.mozilla.org/docs/Web/HTTP/Headers/ETag - will be a weak hash if resolve is false, strong hash if resolve is true. The hash will always include all products valid for your query, even if cut off through pagination. In other words, you will receive the same hash for different "offset" and "limit" values.nullHeaders(none){
"type": "fsb:problem:name-here",
"title": "error name",
"detail": "error message"
}Headers(none){
"type": "fsb:problem:name-here",
"title": "error name",
"detail": "error message"
}Headers(none){
"TODO": true
}HeadersETag=<hash:string>— see developer.mozilla.org/docs/Web/HTTP/Headers/ETagnullHeaders(none){
"type": "fsb:problem:name-here",
"title": "error name",
"detail": "error message"
}Headers(none){
"type": "fsb:problem:name-here",
"title": "error name",
"detail": "error message"
}Headers(none){
"type": "fsb:problem:name-here",
"title": "error name",
"detail": "error message"
}Headers(none){}Headers(none){
"type": "fsb:problem:name-here",
"title": "error name",
"detail": "error message"
}Headers(none){
"type": "fsb:problem:name-here",
"title": "error name",
"detail": "error message"
}Headers(none)Concepts
FreeStuff's API is in large parts merely a read only gateway to our Content Management System (CMS). In order to understand all the things the API exposes you need to understand how our CMS is constructed.
Webhooks
FreeStuff's webhooks are POST requests. Each request is refered to as a 'Message' below. The messages are delivered to the url you have configured on your dashboard. All data is in the shape of the compatibility date defined on the dashboard.